• Register
  • Help
Results 1 to 6 of 6

Topic: Sibelius 5 and GPO

Share/Bookmark
  1. #1
    Senior Member
    Join Date
    May 2005
    Location
    Recanati, Italy
    Posts
    164

    Sibelius 5 and GPO

    Hi,

    I'm installing Sibelius 5 on my G5 Mac, and I'm a bit lost. Here is what I currently have:

    - Sibelius 4
    - Kontakt Player 2.2.3 with GPO and JABB
    - GPO Sibelius Edition for Sibelius 4

    Sibelius 5 asks me to installa Kontakt Player 2.2.2, so I assume the verison of GPO installed in my system is already fine.

    Also, I wonder if I can delete the GPO library dedicated to Sibelius 4, sicne it seems that Sibelius 5 can use the standard version I'm using through Kontakt Player 2.2.3.

    Best regards,
    Paolo

  2. #2

    Re: Sibelius 5 and GPO

    I suggest you not remove Sib 4 until you are certain you are happy with Sib 5.

    There are lots of people on the Sib chat page complaining about how they've implemented playback in Sib 5. They've made radical changes to how you select instruments and how the mixer works. Some people have uninstalled 5 and gone back to 4.

    Now, depending on how you use Sibelius, you may be completely happy with Sib 5. I hope that's the case. But keeping Sib 4 around can't hurt.

    - k
    "An artist is someone who produces things that people don't need to have, but that he - for some reason - thinks it would be a good idea to give them."

    - Andy Warhol

  3. #3
    Senior Member rpearl's Avatar
    Join Date
    Jan 2005
    Location
    Baltimore
    Posts
    1,904

    Re: Sibelius 5 and GPO

    You will need to get the latest KP2 for GPO before it will work with Sib. 5. I think it is worth it, myself.
    Ron Pearl

    Website:

    ronaldmpearl.com

    myspace:

    http://myspace.com/rmpearl

  4. #4
    Senior Member
    Join Date
    May 2005
    Location
    Recanati, Italy
    Posts
    164

    Re: Sibelius 5 and GPO

    k and Ron, thank you for your advices.

    Ron: I have KP 2.2.3 already installed, and Sibelius instructions tell me to download KP 2.2.2 from the Native Instruments web site. I'm a bit confused, even if I think I must just use the one I have already in my system, without downloading anything else.

    k: I'm digging into the Sibelius chat, but can't still find what is going wrong with the new Sib5 (apart for the lack of Sound Sets for external synths). Do you have some quick advice for me?

    Paolo

  5. #5
    Senior Member rpearl's Avatar
    Join Date
    Jan 2005
    Location
    Baltimore
    Posts
    1,904

    Re: Sibelius 5 and GPO

    I'd check with Tech Support/Chat Board. I have no idea why it would ask for an earlier version of KP2 - I'm sure Daniel and the gang on the Sib chat page will sort it out for you.

    Sorry I couldn't help more.
    Ron Pearl

    Website:

    ronaldmpearl.com

    myspace:

    http://myspace.com/rmpearl

  6. #6
    Senior Member
    Join Date
    May 2005
    Location
    Recanati, Italy
    Posts
    164

    Re: Sibelius 5 and GPO

    Asked, and received an answer: no need to reinstall Kontakt Player, since I already have the most recent version installed.
    Paolo

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •